/* eslint-disable vue/no-use-v-if-with-v-for */
<template>
  <div class="event-list">
    <EventCard v-for="(item, index) in prepList" :key="index" :data="item" />
  </div>
</template>
<script>
import EventCard from './EventCard'
export default {
  name: 'EventList',
  components: {
    EventCard
  },
  props: {
    eventList: {
      type: Array,
      default: () => [1, 1, 1, 1]
    }
  },
  computed: {
    prepList () {
      if (this.eventList.length >= 4) return this.eventList
      else {
        return [...this.eventList, ...(new Array(4 - this.eventList.length))]
      }
    }
  }
}
</script>
<style lang="scss" scoped>
.event-list {
  max-width: 1200px;
  width: 100%;
  display: flex;
  justify-content: space-between;
}
</style>
